Loading...
Searching...
No Matches
DecoderMngrETE Class Reference

`#include <trc_dcd_mngr_ete.h>`

Inheritance diagram for DecoderMngrETE:
[legend]
Collaboration diagram for DecoderMngrETE:
[legend]

## Public Member Functions

| DecoderMngrETE (const std::string &name)
virtual | ~DecoderMngrETE ()
Public Member Functions inherited from DecodeMngrFullDcdExCfg< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config, ETEConfig, ocsd_ete_cfg, TrcPktProcEtmV4I, TrcPktDecodeEtmV4I >
| DecodeMngrFullDcdExCfg (const std::string &name, ocsd_trace_protocol_t builtInProtocol)
virtual | ~DecodeMngrFullDcdExCfg ()
virtual TraceComponent * | createPktProc (const bool useInstID, const int instID)
virtual TraceComponent * | createPktDecode (const bool useInstID, const int instID)
virtual CSConfig * | createConfig (const void *pDataStruct)
Public Member Functions inherited from DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >
| DecoderMngrBase (const std::string &decoderTypeName, ocsd_trace_protocol_t builtInProtocol)
virtual | ~DecoderMngrBase ()
virtual ocsd_err_t | createDecoder (const int create_flags, const int instID, const CSConfig *p_config, TraceComponent **p_component)
virtual ocsd_err_t | destroyDecoder (TraceComponent *p_component)
virtual const ocsd_trace_protocol_t | getProtocolType () const
| Get the built in protocol type ID managed by this instance - extern for custom decoders.
virtual ocsd_err_t | attachErrorLogger (TraceComponent *pComponent, ITraceErrorLog *pIErrorLog)
| attach error logger to ptk-processor, or both of pkt processor and pkt decoder pair
virtual ocsd_err_t | attachInstrDecoder (TraceComponent *pComponent, IInstrDecode *pIInstrDec)
| attach instruction decoder to pkt decoder
virtual ocsd_err_t | attachMemAccessor (TraceComponent *pComponent, ITargetMemAccess *pMemAccessor)
| attach memory accessor to pkt decoder
virtual ocsd_err_t | attachOutputSink (TraceComponent *pComponent, ITrcGenElemIn *pOutSink)
| attach generic output interface to pkt decoder
virtual ocsd_err_t | attachPktMonitor (TraceComponent *pComponent, ITrcTypedBase *pPktRawDataMon)
| attach a raw packet monitor to pkt processor (solo pkt processor, or pkt processor part of pair)
virtual ocsd_err_t | attachPktIndexer (TraceComponent *pComponent, ITrcTypedBase *pPktIndexer)
| attach a packet indexer to pkt processor (solo pkt processor, or pkt processor part of pair)
virtual ocsd_err_t | attachPktSink (TraceComponent *pComponent, ITrcTypedBase *pPktDataInSink)
| attach a packet data sink to pkt processor output (solo pkt processor only - instead of decoder when pkt processor only created.)
virtual ocsd_err_t | getDataInputI (TraceComponent *pComponent, ITrcDataIn **ppDataIn)
| get raw data input interface from packet processor
virtual ocsd_err_t | createConfigFromDataStruct (CSConfig **pConfigBase, const void *pDataStruct)
Public Member Functions inherited from IDecoderMngr
| IDecoderMngr ()
virtual | ~IDecoderMngr ()

## Detailed Description

Definition at line 43 of file trc_dcd_mngr_ete.h.

## Constructor & Destructor Documentation

## DecoderMngrETE()

DecoderMngrETE::DecoderMngrETE | ( | const std::string & | name | ) |

inline

Definition at line 52 of file trc_dcd_mngr_ete.h.

Here is the call graph for this function:

## ~DecoderMngrETE()

virtual DecoderMngrETE::~DecoderMngrETE | ( |  | ) |

inline virtual

Definition at line 53 of file trc_dcd_mngr_ete.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/ete/trc_dcd_mngr_ete.h